package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.afjcsj.VwSydwCyryGx;
import com.mosty.base.model.entity.afjcsj.VwSyrkJzgjGx;
import com.mosty.base.model.query.afjcsj.VwSyrkJzgjGxListQuery;
import com.mosty.base.model.query.afjcsj.VwSyrkJzgjGxQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface VwSyrkJzgjGxService {

    @ApiOperation("查询实有人员列表")
    IPage<VwSyrkJzgjGx> selectPageList(VwSyrkJzgjGxQuery dto);

    @ApiOperation("查询实有人口居住轨迹")
    IPage<VwSyrkJzgjGx> selectGjList(VwSyrkJzgjGxListQuery dto);

    @ApiOperation("统计实有人口")
    List<Map<String,Object>> getStatistics();

    @ApiOperation("查询实有人口从业轨迹")
    List<VwSydwCyryGx> getSyrkCygj(String zjhm);

    @ApiOperation("查询实有人口从业轨迹")
    VwSydwCyryGx getSyrkInfo(String id);
}
